security:
  auth:
    auth-require-url: /api/v1/user/auth/auth-require
    invalid-session-url: /api/v1/user/auth/invalid-session
    password-login-url: /api/v1/user/auth/login/password
    password-verificationCode-login-url: /api/v1/user/auth/login/password/verificationCode
    logout-url: /api/v1/user/auth/logout
    ignore-auth-urls:
      - /v2/api-docs
      - /swagger-ui.html
      - /webjars/**
      - /swagger-resources/**
      - /webjars/
      - /api/v1/user/auth/register
      - /api/v1/user/auth/auth-require
      - /api/v1/user/auth/invalid-session
      - /api/v1/user/auth/login/password
      - /api/v1/user/auth/forget-password
      - /api/v1/user/auth/get-public-key
      - /doc.html
      - /ok.html
      - /open/api/**
      - /radar/**
      - /gps/**
    ignore-csrf-urls:
      - /api/v1/user/auth/**
      - /v2/api-docs
      - /swagger-ui.html
      - /webjars/**
      - /swagger-resources/**
      - /webjars/
      - /doc.html
      - /ok.html
      - /api/v1/**
      - /optLog/**
      - /file/**
      - /api/user/**
      - /api/role/**
      - /api/menu/**
      - /api/company/**
      - /api/operator/**
      - /api/archives/**
      - /api/safe/**
      - /api/qrcode/**
      - /api/industry/**
      - /api/car-rpt/**
      - /open/api/**
      - /radar/**
      - /gps/**
      - /road-monitor/**